## rkward 0.6.1

=== doc/CMakeLists.txt ===
ADD_SUBDIRECTORY (rkward)
ADD_SUBDIRECTORY (rkwardplugins)
