## rkward 0.6.2%7erc1

=== rkward/misc/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
    celleditor.cpp
    editlabelsdialog.cpp
    editformatdialog.cpp
+   rkmessagecatalog.cpp
    )
 
 QT4_AUTOMOC(${misc_STAT_SRCS})
