=== rkward/dialogs/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
    rkimportdialog.cpp
    rkselectlistdialog.cpp
    rkrecoverdialog.cpp
+   rkerrordialog.cpp
    )
 
 QT4_AUTOMOC(${dialogs_STAT_SRCS})
