=== rkward/icons/CMakeLists.txt ===
ADD_SUBDIRECTORY(app-icon)

INSTALL(FILES
	rkward_logo.png
	function.png
	list.png
	matrix.png
	data-numeric.png
	data-factor.png
	data-logical.png
	window_back.png
	window_forward.png
	run_line.png
	run_selection.png
	run_all.png
	s4_slots.png
	paste_inside_selection.png
	paste_inside_table.png
	DESTINATION ${DATA_INSTALL_DIR}/rkward/icons)
