=== rkward/misc/CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,15 @@
    editlabelsdialog.cpp
    editformatdialog.cpp
    rkmessagecatalog.cpp
+   rkdbusapi.cpp
+   rkfindbar.cpp
+   rkdynamicsearchline.cpp
+   rkaccordiontable.cpp
    )
 
 QT4_AUTOMOC(${misc_STAT_SRCS})
+# Urghs. QT4_AUTOMOC scans only the .h-file for Q_OBJECT macros. Let's hope this will be better with KF5
+QT4_GENERATE_MOC (rkaccordiontable.cpp ${CMAKE_CURRENT_BINARY_DIR}/rkaccordiontablemodel_moc.cpp)
 
 ADD_LIBRARY(misc STATIC ${misc_STAT_SRCS})
