=== rkward/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
    rkpluginframe.cpp
    rkoptionset.cpp
    rkmatrixinput.cpp
+   rkvalueselector.cpp
    )
 
 QT4_AUTOMOC(${plugin_STAT_SRCS})
