=== rkward/scriptbackends/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
    scriptbackend.cpp
    simplebackend.cpp
    qtscriptbackend.cpp
+   qtscripti18n.cpp
    rkcomponentscripting.cpp
    )
