=== rkward/rbackend/rpackages/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )

CONFIGURE_FILE(
	"${CMAKE_CURRENT_SOURCE_DIR}/rpackage_install.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/rpackage_install.cmake"
	@ONLY)

INSTALL(SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/rpackage_install.cmake -DDESTDIR=${DESTDIR} -DBUILD_TIMESTAMP=${BUILD_TIMESTAMP})
