=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: rkward
 Type: Package
 Title: Provides functions related to the RKWard GUI
-Author: Thomas Friedrichsmeier <thomas.friedrichsmeier@ruhr-uni-bochum.de>,
-    with contributions from the RKWard Team
-Maintainer: RKWard-devel mailing list <rkward-devel@lists.sourceforge.net>
+Author: Thomas Friedrichsmeier <thomas.friedrichsmeier@ruhr-uni-bochum.de> and
+    the RKWard Team <rkward-devel@kde.org>
+Maintainer: RKWard-devel mailing list <rkward-devel@kde.org>
 Depends:
     R (>= 2.9.0),methods
 Description: This package contains functions which are useful in combination
@@ -13,13 +13,13 @@
 License: GPL (>= 2)
 Encoding: UTF-8
 LazyLoad: yes
-URL: http://rkward.sourceforge.net
+URL: http://rkward.kde.org
 Authors@R: c(person(given="Thomas", family="Friedrichsmeier",
     email="thomas.friedrichsmeier@ruhr-uni-bochum.de", role=c("aut")),
     person(given="RKWard-devel", family="mailing list",
-    email="rkward-devel@lists.sourceforge.net", role=c("cre","ctb")))
-Version: 0.6.2
-Date: 2014-09-29
+    email="rkward-devel@kde.org", role=c("cre","ctb")))
+Version: 0.6.3
+Date: 2014-10-30
 Collate:
     'base_overrides.R'
     'internal.R'
@@ -41,3 +41,4 @@
     'rk.workspace-functions.R'
     'rkward-package.R'
     'ver.R'
+RoxygenNote: 5.0.1
