=== debian/changelog ===
rkward (0.6.4-1) unstable; urgency=low
  * new upstream release
  * add override for false-positive source-is-missing lintian warnings
  * remove obsolete README.Debian file
  * increase debhelper compatibility level to 9 (no changes needed)
  * replace dh_clean -k with dh_prep
  * remove legacy rules dealing with R versions prior to 3.0.0
  * upstream has replaced KHTMLPart with QWebKit. As Qt4WebKit is scheduled for
    removal, revert this change, here. Change to 3.0 (quilt) format for this.
  * Make build reproducible (thanks to Philip Rinn)
    closes: #783290

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Sat, 19 Dec 2015 21:10:00 +0100

rkward (0.6.3-1) unstable; urgency=low
  * new upstream release
  * Ajdust to move of homepage to rkward.kde.org, and vcs to git.kde.org

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Sat, 07 Mar 2015 13:30:00 +0100

rkward (0.6.2~rc1-2) unstable; urgency=low

  * bump standards version to 3.9.6 (no changes needed)

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Fri, 17 Oct 2014 10:30:00 +0100

rkward (0.6.2~rc1-1) unstable; urgency=low

  * new upstream release
  * avoid duplicate cmake run during build
  * upstream increased lowest supported R version to 2.8.0
  * bump standards version to 3.9.4 (no changes needed)

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Thu, 16 Oct 2014 13:30:00 +0100

rkward (0.6.1-1) unstable; urgency=low

  * upstream release 0.6.1-rc1 was made available as 0.6.1 without changes
  * new upload to build against R 3.0.0 on most architectures
  * when built against r-base-core >= 3.0.0, depend on r-base-core <= 3.0.0

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Thu, 07 May 2013 12:30:00 +0100

rkward (0.6.1~rc1-1) unstable; urgency=low

  * new upstream release
  * re-add Vcs-Browser field
  * fix year in changelog (previous upload had 2012 instead of 2013)
  * add runtime dependency on r-base-core < 3.0.0 unless compiled with >= 3.0.0

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Thu, 28 Mar 2013 09:30:00 +0100

rkward (0.6.0-3) unstable; urgency=low

  * correctly treat -pre releases in debian/watch (thanks to Bart Martens)
  * remove obsolete DM-Upload-Allowed field
  * update Vcs-Svn field to changed repository URL
  * remove Vcs-Browser field, as there is no useful repository browser, ATM

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 15 Jan 2012 12:30:00 +0100

rkward (0.6.0-2) unstable; urgency=low

  * make sure to include CPPFLAGS and LDFLAGS in call to cmake
  * correct path to qwinhost files in debian/copyright
  * correct syntax in debian/copyright (thanks to Laszlo Kajan)
  
 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Sat, 24 Nov 2012 14:15:00 +0200

rkward (0.6.0-1) unstable; urgency=low

  * new upstream release
  * remove support for building on Ubuntu hardy
  * more accurate copyright file
    closes: #689982
  * bump standards version to 3.9.4 (no changes needed)
  * Add Vcs-Browser and Vcs-Svn fields

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Wed, 24 Oct 2012 15:30:00 +0200

rkward (0.5.7-2) unstable; urgency=low

  * new upload to force rebuild against R 2.14.0~x on i386
    closes: #646047 (failure to load rkward package)
  * add dependency on r-base-core < 2.14 if built against R < 2.14.0

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 25 Oct 2011 14:30:00 +0200

rkward (0.5.7-1) unstable; urgency=low

  * new upstream release
  * provide build-arch and build-indep targets
  * include buildflags as instructed by the dpkg developers

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Sun, 23 Oct 2011 15:30:00 +0200

rkward (0.5.6-1) unstable; urgency=low

  * new upstream release
  * remove empty directory removal rkwardtests/inst. Now fixed upstream.
  * remove man page links to rkward.bin and rkward.rbackend. These
    auxiliary binaries are no longer installed in the system path.
  * remove debian man page. Man page is now supplied upstream.
  * drop explicit dependency on libphonon-dev.
  * fix lintian warning "description-synopsis-starts-with-article"
  * bump standards version to 3.9.2 (no changes needed)

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 30 May 2011 15:30:00 +0200

rkward (0.5.5-2) unstable; urgency=low

  * Remove empty directory rkwardtests/inst
    fixes FTBFS with (the current alpha of) R 2.13.0

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 20 Mar 2011 14:30:00 +0200

rkward (0.5.5-1) unstable; urgency=low

  * new upstream release
  * add man-page link for new binary rkward.rbackend

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 15 Mar 2011 14:30:00 +0200

rkward (0.5.4-1) unstable; urgency=low

  * new upstream release
  * bump standards version to 3.9.1 (no changes needed)
  * no more need to remove svncopy.sh-script in rules

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Mon, 04 Oct 2010 14:30:00 +0200

rkward (0.5.3-2) unstable; urgency=low

  * correct usage of hyphens vs. minus signs in the man page
  * correct the watch file

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Fri, 07 May 2010 14:30:00 +0200

rkward (0.5.3-1) unstable; urgency=low

  * new upstream release
    closes: #556321 (failed to link against thread-library, explicitly)
  * add watch file (thanks to Julien Lavergne and Scott Howard)
    closes: #569114
  * remove svncopy.sh-script included in upstream release tarball by accident
  * remove obsolete runtime dependency on php5-cli
  * add dependency on ${misc:Depends} as recommended by debhelper
  * bump standards version to 3.8.4 (no changes needed)
  * add Homepage field

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Fri, 30 Apr 2010 14:30:00 +0200

rkward (0.5.2-1) unstable; urgency=low

  * new upstream release
    closes: #551306 (added support for the new dynamic help system)
  * Add "DM-Upload-Allowed: yes" in control

