=== debian/watch ===
version=3
opts=uversionmangle=s/-(pre\d*)$/~$1/ \
http://sf.net/rkward/rkward-(.*)\.tar\.gz
# Bart Martens <bartm@debian.org>  Sat, 17 Nov 2012 08:07:53 +0000
